-- fade_panel

fade_panel.state = 0
fade_panel.fade_plane = nil
--fade_panel.fade_change_val = 0.01
fade_panel.fade_change_interval = 0.01
fade_panel.fade_change_frames = 50

log_message("compiling fade_panel.lua")

----------------------------------------------------------------------------------------------------
function fade_panel:fade_in()
	
	fade_panel:set_active(true)
	fade_panel:set_visible(true)
	
	fade_panel.fade_plane:setAlpha(0)
	
	timer_mgr:add_timer(function() fade_panel:change_fade_value(1/fade_panel.fade_change_frames) end, fade_panel.fade_change_interval, fade_panel.fade_change_frames)

end

----------------------------------------------------------------------------------------------------
function fade_panel:fade_out()
	
	fade_panel:set_active(true)
	fade_panel:set_visible(true)
	
	fade_panel.fade_plane:setAlpha(1)
	
	timer_mgr:add_timer(function() fade_panel:change_fade_value(-1/fade_panel.fade_change_frames) end, fade_panel.fade_change_interval, fade_panel.fade_change_frames)

end

----------------------------------------------------------------------------------------------------
function fade_panel:change_fade_value(val)

	fade_panel.fade_plane:setAlpha(fade_panel.fade_plane:getAlpha() + val)
	return fade_panel.fade_plane:getAlpha()
	
end

----------------------------------------------------------------------------------------------------
function fade_panel_UPDATE()
	return 0
end

----------------------------------------------------------------------------------------------------
function fade_panel_INIT()
	fade_panel.fade_plane = fade_panel:get_parent():getElement("fade_plane")
end
